Bug 866671 - crond logs its name in uppercase
crond logs its name in uppercase
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cronie (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 16:22 EDT by Henrique Martins
Modified: 2012-11-21 10:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-21 10:58:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrique Martins 2012-10-15 16:22:21 EDT
Description of problem:
Not a problem, just a question.  Why is crond logging it's name in all caps now, as in?
  Oct 14 03:35:01 machine /USR/SBIN/CROND[28894]: (use) CMD (cmd)
It's not like I have a case insensitive file system, and there isn't a /USR/SBIN/CROND file in my system anyway.

Version-Release number of selected component (if applicable):
cronie-1.4.8-11.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. schedule a command via cron, don't log to syslog
2. look at /var/log/cron
  
Actual results:
A line like above listing /USR/BIN/CROND

Expected results:
A line like above listing /usr/bin/crond

Additional info:
Looks bad.  Like cron is shouting at me.
Comment 1 Marcela Mašláňová 2012-10-16 06:38:11 EDT
CROND was always in uppercase to mark it's a parent and childern were lowercase. The change is that whole path is printed out. The bug is fixed by one of upstream commits, I must release new version soon.
Comment 2 Marcela Mašláňová 2012-11-21 10:58:44 EST
The whole path will be fixed (#872747), but I don't see uppercase as a bug. It was always like that.

Note You need to log in before you can comment on or make changes to this bug.